al_run_detached_thread(3)

NAME

al_run_detached_thread - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_run_detached_thread(void *(*proc)(void *arg), void *arg)

DESCRIPTION

Runs the passed function in its own thread, with arg passed to it as only parameter. This is similar to calling al_create_thread(3), al_start_thread(3) and (after the thread has finished) al_destroy_thread(3) - but you don't have the possibility of ever calling al_join_thread(3) on the thread.